# H323H263Capability Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for H323H263Capability:

[legend]
Collaboration diagram for H323H263Capability:
[legend]

## Public Member Functions

| H323H263Capability (const PString &variant)
Comparison | Compare (const PObject &obj) const
virtual PObject * | Clone () const
virtual PString | GetFormatName () const
virtual unsigned | GetSubType () const
virtual PBoolean | OnSendingPDU (H245_VideoCapability &pdu) const
virtual PBoolean | OnSendingPDU (H245_VideoMode &pdu) const
virtual PBoolean | OnReceivedPDU (const H245_VideoCapability &pdu)
virtual PBoolean | IsMatch (const PASN_Choice &subTypePDU, const PString &mediaPacketization) const

## Protected Attributes

PString | m_variant

## Constructor & Destructor Documentation

H323H263Capability::H323H263Capability | ( | const PString & | variant | ) |

## Member Function Documentation

virtual PObject* H323H263Capability::Clone | ( |  | ) | const`[virtual]`

Comparison H323H263Capability::Compare | ( | const PObject & | obj | ) | const

Compare two capability instances. This compares the main and sub-types of the capability.

Reimplemented from H323Capability.

virtual PString H323H263Capability::GetFormatName | ( |  | ) | const`[virtual]`

Get the name of the media data format this class represents.

Implements H323Capability.

virtual unsigned H323H263Capability::GetSubType | ( |  | ) | const`[virtual]`

Get the sub-type of the capability. This is a code dependent on the main type of the capability.

Implements H323Capability.

virtual PBoolean H323H263Capability::IsMatch | ( | const PASN_Choice & | subTypePDU,
|  | const PString & | mediaPacketization |
| ) |  |  | const`[virtual]`

Compare the PDU part of the capability.

Parameters:

  subTypePDU | sub-type PDU of H323Capability
  mediaPacketization | Media packetization used

Reimplemented from H323Capability.

virtual PBoolean H323H263Capability::OnReceivedPDU | ( | const H245_VideoCapability & | pdu | ) | `[virtual]`

This function is called whenever and incoming TerminalCapabilitySet or OpenLogicalChannel PDU has been used to construct the control channel. It allows the capability to set from the PDU fields, information in members specific to the class.

The default behaviour is pure.

Parameters:

  pdu | PDU to get information from

Reimplemented from H323VideoCapability.

virtual PBoolean H323H263Capability::OnSendingPDU | ( | H245_VideoMode & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing RequestMode PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour sets the PDUs tag according to the GetSubType() function (translated to different enum).

Reimplemented from H323VideoCapability.

virtual PBoolean H323H263Capability::OnSendingPDU | ( | H245_VideoCapability & | pdu | ) | const`[virtual]`

This function is called whenever and outgoing TerminalCapabilitySet or OpenLogicalChannel PDU is being constructed for the control channel. It allows the capability to set the PDU fields from information in members specific to the class.

The default behaviour is pure.

Parameters:

  pdu | PDU to set information on

Reimplemented from H323VideoCapability.

## Field Documentation

PString H323H263Capability::m_variant `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h